namespace SafeCampus.Application.Services.Business.ClassTeacherService;

public interface IClassTeacherService:ITransient
{
    /// <summary>
    /// 添加班主任
    /// </summary>
    /// <param name="input">添加参数</param>
    /// <returns></returns>
    Task<bool> Add(ClassTeacherInput input);
    /// <summary>
    /// 修改班主任
    /// </summary>
    /// <param name="input">添加参数</param>
    /// <returns></returns>
    Task<bool> Update(ClassTeacherUpdateInput input);
    /// <summary>
    /// 删除班主任
    /// </summary>
    /// <param name="id">id</param>
    /// <returns></returns>
    Task<bool> Delete(long id);
    /// <summary>
    /// 根据班级id获取班主任信息
    /// </summary>
    /// <returns></returns>
    Task<ClassTeacherDto> GetInfo(string personSetId);
    /// <summary>
    /// 获取列表
    /// </summary>
    /// <returns></returns>
    Task<List<ClassTeacherDto>> GetNoPageList();
}